QwtArrayData(3)

NAME
QwtArrayData -

SYNOPSIS

#include <qwt_data.h>

Inherits QwtData.

  Public Member Functions
QwtArrayData (const QwtArray< double > &x, const QwtArray< double > &y)
QwtArrayData (const double *x, const double *y, size_t size)
virtual QwtDoubleRect boundingRect () const
virtual QwtData * copy () const
QwtArrayData & operator= (const QwtArrayData &)
virtual size_t size () const
virtual double x (size_t i) const
const QwtArray< double > & xData () const
virtual double y (size_t i) const
const QwtArray< double > & yData () const

  Additional Inherited Members

Detailed Description

Data class containing two QwtArray<double> objects.

Constructor & Destructor Documentation

  QwtArrayData::QwtArrayData (const QwtArray< double > &x, const QwtArray< double > &y)
Constructor

Parameters:
    x Array of x values
    y Array of y values

See also:
    QwtPlotCurve::setData()

  QwtArrayData::QwtArrayData (const double *x, const double *y, size_tsize)
Constructor

Parameters:
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

See also:
    QwtPlotCurve::setData()

Member Function Documentation

  QwtDoubleRect QwtArrayData::boundingRect () const [virtual]
Returns the bounding rectangle of the data. If there is no bounding rect, like for empty data the rectangle is invalid: QwtDoubleRect::isValid() == false

Reimplemented from QwtData.

  QwtData * QwtArrayData::copy () const [virtual]
Returns:
    Pointer to a copy (virtual copy constructor)

Implements QwtData.

  size_t QwtArrayData::size () const [virtual]
Returns:
    Size of the data set

Implements QwtData.

  double QwtArrayData::x (size_ti) const [virtual]
Return the x value of data point i

Parameters:
    i Index

Returns:
    x X value of data point i

Implements QwtData.

  const QwtArray< double > & QwtArrayData::xData () const
Returns:
    Array of the x-values

  double QwtArrayData::y (size_ti) const [virtual]
Return the y value of data point i

Parameters:
    i Index

Returns:
    y Y value of data point i

Implements QwtData.

  const QwtArray< double > & QwtArrayData::yData () const
Returns:
    Array of the y-values

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.